Bug 426357 - RFE Please package an updates.img for critical installer fixes
Summary: RFE Please package an updates.img for critical installer fixes
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-20 14:12 UTC by Bruno Wolff III
Modified: 2008-06-04 13:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 13:52:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bruno Wolff III 2007-12-20 14:12:10 UTC
Description of problem:
The Fedora project has been reluctant to publish installer updates once a
version has gone gold. In the past that wasn't that big of a deal, but now that
doing respins has been made easy, this is a bit of an annoyance. There have been
updates.img files made to take care of some critical problems, but they aren't
in a convenient place for people running revisor.
My suggestion is that there be an anaconda-updates package created for handling
critical installer bug fixes. Perhaps initially (for a given Fedora version)
this package could produce an empty file system. And then updates to the
installer could be added as critical installer issues are fixed.

Comment 1 Chris Lumens 2008-01-04 15:33:16 UTC
Is using the Fedora Unity respin for Fedora 8 good enough for you?  That fixes a
variety of these critical sorts of issues with entirely new installation media:

http://fedoraunity.org/news-archives/fedora-8-re-spin-released

Comment 2 Bruno Wolff III 2008-01-04 19:17:07 UTC
In the short run sure. I was hoping in the long run that Unity's work would get
back into Fedora during the term of a release, rather than the following release.


Note You need to log in before you can comment on or make changes to this bug.